Subject: Re: [paws] [IANA #741770] Advice on proper style in draft-ietf-paws-protocol

From: Vincent Chen <[email-masked]>
Date: Sat, 1 Feb 2014 11:27:17 -0800

Amanda,

Thanks very much for the detailed recommendations and examples.

One more question:

The IANA registries, when published, are in tabular form. Does that mean
we should also present it in tabular form in the RFC?

Thanks.

-vince

On Fri, Jan 31, 2014 at 6:18 PM, Amanda Baber via RT <
[email-masked]> wrote:

> Hi,
>
> Looking at the IANA Considerations section, the sections on registration
> procedures and templates look fine, but I'm not sure what is and isn't
> supposed to appear in the registry. This is what I'm wondering:
>
> 1) Right now there's nothing telling us whether we're using every field in
> the template. It would be good to see a short paragraph, maybe just a
> sentence, at the end of each "Initial Registry Contents" section, that
> lists the fields in the registry (even if it's just confirming that we're
> using all of them).
>
> If you want a field included in the template but not in the registration,
> you might add a short paragraph like this, with or without the last
> sentence: "The XXXX registry will include the following fields: 'X', 'Y',
> and 'Z'. IANA will post each registration template that is not included in
> the text of an RFC."
>
> We could also post all RFC-based templates, or no templates at all.
>
> See http://www.iana.org/assignments/dns-parameters and
> http://www.iana.org/assignments/xml-registry for examples of
> template-posting.
>
> 2) Table 1, the source for the Error Codes registry, doesn't include the
> "Additional Parameters" field from the template. Should that field be left
> out of the registry, or does the table need to be expanded?
>
> 3) Should the key that describes -100s, -200s, and -300s be included in
> the registry as a note? (If so, this instruction should probably be
> included in the IANA Considerations section.)
>
> 4) If any other registries include a "Value" or "Code" field, please note
> the maximum value of the available range, and note whether the value "0" is
> "Unassigned" (available for assignment) or "Reserved" (unavailable).
>
> 5) Each of the registrations in section 9.1.2 has a heading that isn't
> part of the template: "FCC ID," "FCC Device Type," etc. Should these be
> included in the registry? If so, a line for "description" (or a better
> term) needs to be added to the registration template. If not, it might be
> better to number these headings.
>
> Finally, I have a few questions about formatting The PAWS Ruleset ID
> registry.
>
> 1) This is divided into two sections in the document. Should it be
> presented as two separate registries, or reflected in the registry somehow?
>
> 2) Will the "Additional message parameters" field be included in the
> registry? If not, that needs to be noted, but if so, there are a couple of
> ways I can think of to present it there. One is to use the format the IPFIX
> Information Elements registry uses for its Description field (scroll down
> to value 6 or so):
>
> http://www.iana.org/assignments/ipfix
>
> The other approach I can think of is the one the "Header Field Parameters
> and Parameter Values" registry takes at
>
> http://www.iana.org/assignments/sip-parameters
>
> In this case, you would need to break the registrations up into one
> Additional message parameter for each Ruleset ID. That is, one registration
> for "ETSI-EN-301-598-1.0.0-draft" with "manufacturerId:  Specifies a
> device's manufacturer's identifier. It is a REQUIRED parameter in
> DeviceDescriptor (Section 5.2).," one registration for
> "ETSI-EN-301-598-1.0.0-draft" with "modelId:  Specifies a device's model
> identifier.  It is a REQUIRED parameter in DeviceDescriptor (Section 5.2),
> " etc.
>
> thanks,
> Amanda
>
> On Tue Jan 28 02:54:56 2014, [email-masked] wrote:
> > Hi,
> >
> > Link: http://www.ietf.org/id/draft-ietf-paws-protocol-08.txt
> >
> > We're in the process of finalizing the draft and would like some advice
> on
> > the formatting of the
> > "9. IANA Considerations" section (modeled after
> > RFC6749<http://tools.ietf.org/html/rfc6749>
> > )
> >
> > It defines 3 registries and each follows the format:
> >  - Defines creation of registry with process of updating it
> >  - Defines Registration Template
> >  - Defines initial contents of the registry
> >
> > Is this acceptable? or should it be in a tabular format?
> >
> > Thanks.
> >
>
>
>
>

-- 
-vince